DL_VerifierImpl< SCHEME_OPTIONS > Class Template Reference

Discrete Log (DL) verifier implementation. More...

`#include <pubkey.h>`

Inheritance diagram for DL_VerifierImpl< SCHEME_OPTIONS >:

## Public Member Functions

PK_MessageAccumulator * | NewVerificationAccumulator () const
Public Member Functions inherited from DL_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY >
PrivateKey & | AccessPrivateKey ()
PublicKey & | AccessPublicKey ()
const KEY & | GetKey () const
KEY & | AccessKey ()
Public Member Functions inherited from AlgorithmImpl< BASE, SCHEME_OPTIONS::AlgorithmInfo >
std::string | AlgorithmName () const
| The algorithm name.

## Additional Inherited Members

Public Types inherited from DL_ObjectImpl< DL_VerifierBase< SCHEME_OPTIONS::Element >, SCHEME_OPTIONS, SCHEME_OPTIONS::PublicKey >
typedef KEY::Element | Element
Public Types inherited from DL_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY >
typedef SCHEME_OPTIONS | SchemeOptions
typedef KEY::Element | Element
Static Public Member Functions inherited from AlgorithmImpl< BASE, SCHEME_OPTIONS::AlgorithmInfo >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Detailed Description

template<class SCHEME_OPTIONS>
class DL_VerifierImpl< SCHEME_OPTIONS >

Discrete Log (DL) verifier implementation.

Template Parameters

  SCHEME_OPTIONS | options for the scheme

Definition at line 2035 of file pubkey.h.

## Member Function Documentation

## NewVerificationAccumulator()

template<class SCHEME_OPTIONS >

PK_MessageAccumulator * DL_VerifierImpl< SCHEME_OPTIONS >::NewVerificationAccumulator | ( |  | ) | const

inline

Definition at line 2038 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h